API

API endpoint reference

Browse 76 operations across 51 public paths.

How to read this reference

This is the public API contract rendered as documentation. It contains no interactive request executor. Paths below include the /api prefix; combine them with your Uptiva origin. Authentication and ownership are checked by the server. Operations marked public in the contract can be called without a workspace API key; public status actions can have additional token or password requirements.

Request schemas are linked to their full field tables. Generic success responses do not imply that every response field has a fixed OpenAPI model. Examples in the workflow guides explain how to handle returned data.

Account

GET /api/me

Me

Responses: 200 Successful Response. Access and rate-limit errors can also occur.

Channels

GET /api/channels/types

Types

Responses: 200 Successful Response. Access and rate-limit errors can also occur.

GET /api/channels

List Channels

Responses: 200 Successful Response. Access and rate-limit errors can also occur.

POST /api/channels

Create Channel

Request body: application/json · ChannelIn

Responses: 201 Successful Response, 422 Validation Error. Access and rate-limit errors can also occur.

PATCH /api/channels/{channel_id}

Patch Channel

ParameterLocationRequiredType / values
channel_idpathYesuuid · See operation behavior and validation.

Request body: application/json · ChannelPatch

Responses: 200 Successful Response, 422 Validation Error. Access and rate-limit errors can also occur.

DELETE /api/channels/{channel_id}

Delete Channel

ParameterLocationRequiredType / values
channel_idpathYesuuid · See operation behavior and validation.

Responses: 204 Successful Response, 422 Validation Error. Access and rate-limit errors can also occur.

POST /api/channels/{channel_id}/test

Test Channel

ParameterLocationRequiredType / values
channel_idpathYesuuid · See operation behavior and validation.

Responses: 200 Successful Response, 422 Validation Error. Access and rate-limit errors can also occur.

Maintenance

GET /api/maintenance

List Windows

Responses: 200 Successful Response. Access and rate-limit errors can also occur.

POST /api/maintenance

Create Window

Request body: application/json · WindowIn

Responses: 201 Successful Response, 422 Validation Error. Access and rate-limit errors can also occur.

PUT /api/maintenance/{window_id}

Update Window

ParameterLocationRequiredType / values
window_idpathYesuuid · See operation behavior and validation.

Request body: application/json · WindowIn

Responses: 200 Successful Response, 422 Validation Error. Access and rate-limit errors can also occur.

DELETE /api/maintenance/{window_id}

Delete Window

ParameterLocationRequiredType / values
window_idpathYesuuid · See operation behavior and validation.

Responses: 204 Successful Response, 422 Validation Error. Access and rate-limit errors can also occur.

Monitors

GET /api/regions

Regions

Responses: 200 Successful Response. Access and rate-limit errors can also occur.

GET /api/monitors/groups

List Groups

Responses: 200 Successful Response. Access and rate-limit errors can also occur.

GET /api/monitors

List Monitors

Responses: 200 Successful Response. Access and rate-limit errors can also occur.

POST /api/monitors

Create Monitor

Request body: application/json · MonitorIn

Responses: 201 Successful Response, 422 Validation Error. Access and rate-limit errors can also occur.

GET /api/monitors/{monitor_id}

Get Monitor

ParameterLocationRequiredType / values
monitor_idpathYesuuid · See operation behavior and validation.

Responses: 200 Successful Response, 422 Validation Error. Access and rate-limit errors can also occur.

PUT /api/monitors/{monitor_id}

Update Monitor

ParameterLocationRequiredType / values
monitor_idpathYesuuid · See operation behavior and validation.

Request body: application/json · MonitorIn

Responses: 200 Successful Response, 422 Validation Error. Access and rate-limit errors can also occur.

DELETE /api/monitors/{monitor_id}

Delete Monitor

ParameterLocationRequiredType / values
monitor_idpathYesuuid · See operation behavior and validation.

Responses: 204 Successful Response, 422 Validation Error. Access and rate-limit errors can also occur.

GET /api/monitors/{monitor_id}/stats

Monitor Stats

ParameterLocationRequiredType / values
monitor_idpathYesuuid · See operation behavior and validation.
rangequeryNostring · One of: 24h, 7d, 30d, 90d; Default: "24h"

Responses: 200 Successful Response, 422 Validation Error. Access and rate-limit errors can also occur.

GET /api/monitors/{monitor_id}/details

Monitor Details

ParameterLocationRequiredType / values
monitor_idpathYesuuid · See operation behavior and validation.

Responses: 200 Successful Response, 422 Validation Error. Access and rate-limit errors can also occur.

POST /api/monitors/{monitor_id}/clone

Clone Monitor

ParameterLocationRequiredType / values
monitor_idpathYesuuid · See operation behavior and validation.

Responses: 201 Successful Response, 422 Validation Error. Access and rate-limit errors can also occur.

POST /api/monitors/import

Import Monitors

Request body: application/json · ImportIn

Responses: 200 Successful Response, 422 Validation Error. Access and rate-limit errors can also occur.

PUT /api/monitors/{monitor_id}/paused

Set Paused

ParameterLocationRequiredType / values
monitor_idpathYesuuid · See operation behavior and validation.

Request body: application/json · PausedIn

Responses: 204 Successful Response, 422 Validation Error. Access and rate-limit errors can also occur.

POST /api/monitors/{monitor_id}/ack

Ack

ParameterLocationRequiredType / values
monitor_idpathYesuuid · See operation behavior and validation.

Responses: 200 Successful Response, 422 Validation Error. Access and rate-limit errors can also occur.

DELETE /api/monitors/{monitor_id}/ack

Unack

ParameterLocationRequiredType / values
monitor_idpathYesuuid · See operation behavior and validation.

Responses: 200 Successful Response, 422 Validation Error. Access and rate-limit errors can also occur.

PUT /api/monitors/{monitor_id}/group

Move Monitor

ParameterLocationRequiredType / values
monitor_idpathYesuuid · See operation behavior and validation.

Request body: application/json · MoveIn

Responses: 200 Successful Response, 422 Validation Error. Access and rate-limit errors can also occur.

POST /api/monitors/bulk

Bulk

Request body: application/json · BulkIn

Responses: 200 Successful Response, 422 Validation Error. Access and rate-limit errors can also occur.

GET /api/monitors/{monitor_id}/heartbeat

Heartbeat Info

ParameterLocationRequiredType / values
monitor_idpathYesuuid · See operation behavior and validation.

Responses: 200 Successful Response, 422 Validation Error. Access and rate-limit errors can also occur.

Notifications

GET /api/notifications

Get Notifications

Responses: 200 Successful Response. Access and rate-limit errors can also occur.

Other

GET /api/status-pages

List Status Pages

Responses: 200 Successful Response. Access and rate-limit errors can also occur.

POST /api/status-pages

Create Status Page

Request body: application/json · PageIn

Responses: 201 Successful Response, 422 Validation Error. Access and rate-limit errors can also occur.

GET /api/groups

List Groups

Responses: 200 Successful Response. Access and rate-limit errors can also occur.

POST /api/groups

Create Group

Request body: application/json · NameIn

Responses: 201 Successful Response, 422 Validation Error. Access and rate-limit errors can also occur.

PATCH /api/groups/{group_id}

Rename Group

ParameterLocationRequiredType / values
group_idpathYesuuid · See operation behavior and validation.

Request body: application/json · NameIn

Responses: 200 Successful Response, 422 Validation Error. Access and rate-limit errors can also occur.

DELETE /api/groups/{group_id}

Delete Group

ParameterLocationRequiredType / values
group_idpathYesuuid · See operation behavior and validation.

Responses: 204 Successful Response, 422 Validation Error. Access and rate-limit errors can also occur.

GET /api/monitor-templates

List Templates

Responses: 200 Successful Response. Access and rate-limit errors can also occur.

POST /api/monitor-templates

Create Template

Request body: application/json · CreateIn

Responses: 201 Successful Response, 422 Validation Error. Access and rate-limit errors can also occur.

GET /api/monitor-templates/{template_id}

Get Template

ParameterLocationRequiredType / values
template_idpathYesuuid · See operation behavior and validation.

Responses: 200 Successful Response, 422 Validation Error. Access and rate-limit errors can also occur.

PATCH /api/monitor-templates/{template_id}

Rename Template

ParameterLocationRequiredType / values
template_idpathYesuuid · See operation behavior and validation.

Request body: application/json · NameIn

Responses: 200 Successful Response, 422 Validation Error. Access and rate-limit errors can also occur.

DELETE /api/monitor-templates/{template_id}

Delete Template

ParameterLocationRequiredType / values
template_idpathYesuuid · See operation behavior and validation.

Responses: 204 Successful Response, 422 Validation Error. Access and rate-limit errors can also occur.

GET /api/workspace/roles

Roles

Responses: 200 Successful Response. Access and rate-limit errors can also occur.

GET /api/workspace/members

Members

Responses: 200 Successful Response. Access and rate-limit errors can also occur.

POST /api/workspace/members

Add Member

Request body: application/json · MemberIn

Responses: 201 Successful Response, 422 Validation Error. Access and rate-limit errors can also occur.

PATCH /api/workspace/members/{member_id}

Change Member

ParameterLocationRequiredType / values
member_idpathYesuuid · See operation behavior and validation.

Request body: application/json · RoleIn

Responses: 200 Successful Response, 422 Validation Error. Access and rate-limit errors can also occur.

DELETE /api/workspace/members/{member_id}

Remove Member

ParameterLocationRequiredType / values
member_idpathYesuuid · See operation behavior and validation.

Responses: 204 Successful Response, 422 Validation Error. Access and rate-limit errors can also occur.

Public

GET /api/healthz

Healthz

Responses: 200 Successful Response. Access and rate-limit errors can also occur.

GET /api/version

Version

Responses: 200 Successful Response. Access and rate-limit errors can also occur.

POST /api/public/status/{slug}/subscribe

Subscribe

ParameterLocationRequiredType / values
slugpathYesstring · See operation behavior and validation.

Request body: application/json · SubscribeIn

Responses: 200 Successful Response, 422 Validation Error. Access and rate-limit errors can also occur.

GET /api/public/status/subscribe/confirm

Confirm Subscription

ParameterLocationRequiredType / values
tokenqueryYesstring · See operation behavior and validation.

Responses: 200 Successful Response, 422 Validation Error. Access and rate-limit errors can also occur.

GET /api/public/status/unsubscribe

Unsubscribe

ParameterLocationRequiredType / values
tokenqueryYesstring · See operation behavior and validation.

Responses: 200 Successful Response, 422 Validation Error. Access and rate-limit errors can also occur.

POST /api/public/status/{slug}/unlock

Unlock

ParameterLocationRequiredType / values
slugpathYesstring · See operation behavior and validation.

Request body: application/json · UnlockIn

Responses: 200 Successful Response, 422 Validation Error. Access and rate-limit errors can also occur.

GET /api/public/status/{slug}

Public Status

ParameterLocationRequiredType / values
slugpathYesstring · See operation behavior and validation.

Responses: 200 Successful Response, 422 Validation Error. Access and rate-limit errors can also occur.

Reports

GET /api/reports/weekly

Weekly Preview

Responses: 200 Successful Response. Access and rate-limit errors can also occur.

GET /api/reports/uptime

Uptime Report

ParameterLocationRequiredType / values
fromqueryNostring | null · See operation behavior and validation.
toqueryNostring | null · See operation behavior and validation.
periodqueryNostring | null · See operation behavior and validation.
monthqueryNostring | null · See operation behavior and validation.

Responses: 200 Successful Response, 422 Validation Error. Access and rate-limit errors can also occur.

GET /api/reports/uptime.csv

Uptime Csv

ParameterLocationRequiredType / values
fromqueryNostring | null · See operation behavior and validation.
toqueryNostring | null · See operation behavior and validation.
periodqueryNostring | null · See operation behavior and validation.
monthqueryNostring | null · See operation behavior and validation.

Responses: 200 Successful Response, 422 Validation Error. Access and rate-limit errors can also occur.

Status page

GET /api/status-page

Get Status Page

ParameterLocationRequiredType / values
pagequeryNouuid | null · See operation behavior and validation.

Responses: 200 Successful Response, 422 Validation Error. Access and rate-limit errors can also occur.

PUT /api/status-page

Put Status Page

ParameterLocationRequiredType / values
pagequeryNouuid | null · See operation behavior and validation.

Request body: application/json · PageIn

Responses: 200 Successful Response, 422 Validation Error. Access and rate-limit errors can also occur.

DELETE /api/status-page

Delete Status Page

ParameterLocationRequiredType / values
pagequeryNouuid | null · See operation behavior and validation.

Responses: 204 Successful Response, 422 Validation Error. Access and rate-limit errors can also occur.

POST /api/status-page/regenerate-address

Regenerate Address

ParameterLocationRequiredType / values
pagequeryNouuid | null · See operation behavior and validation.

Responses: 200 Successful Response, 422 Validation Error. Access and rate-limit errors can also occur.

POST /api/status-page/password

Set Page Password

ParameterLocationRequiredType / values
pagequeryNouuid | null · See operation behavior and validation.

Request body: application/json · app__routes__status_pages__PasswordIn

Responses: 200 Successful Response, 422 Validation Error. Access and rate-limit errors can also occur.

DELETE /api/status-page/password

Remove Page Password

ParameterLocationRequiredType / values
pagequeryNouuid | null · See operation behavior and validation.

Responses: 200 Successful Response, 422 Validation Error. Access and rate-limit errors can also occur.

GET /api/status-page/announcements

List Announcements

ParameterLocationRequiredType / values
pagequeryNouuid | null · See operation behavior and validation.

Responses: 200 Successful Response, 422 Validation Error. Access and rate-limit errors can also occur.

POST /api/status-page/announcements

Create Announcement

ParameterLocationRequiredType / values
pagequeryNouuid | null · See operation behavior and validation.

Request body: application/json · AnnIn

Responses: 201 Successful Response, 422 Validation Error. Access and rate-limit errors can also occur.

PATCH /api/status-page/announcements/{ann_id}

Update Announcement

ParameterLocationRequiredType / values
ann_idpathYesuuid · See operation behavior and validation.
pagequeryNouuid | null · See operation behavior and validation.

Request body: application/json · AnnPatch

Responses: 200 Successful Response, 422 Validation Error. Access and rate-limit errors can also occur.

DELETE /api/status-page/announcements/{ann_id}

Delete Announcement

ParameterLocationRequiredType / values
ann_idpathYesuuid · See operation behavior and validation.
pagequeryNouuid | null · See operation behavior and validation.

Responses: 204 Successful Response, 422 Validation Error. Access and rate-limit errors can also occur.

GET /api/status-page/subscribers

List Subscribers

ParameterLocationRequiredType / values
limitqueryNointeger · Default: 50
offsetqueryNointeger · Default: 0
pagequeryNouuid | null · See operation behavior and validation.

Responses: 200 Successful Response, 422 Validation Error. Access and rate-limit errors can also occur.

DELETE /api/status-page/subscribers/{sub_id}

Delete Subscriber

ParameterLocationRequiredType / values
sub_idpathYesuuid · See operation behavior and validation.
pagequeryNouuid | null · See operation behavior and validation.

Responses: 204 Successful Response, 422 Validation Error. Access and rate-limit errors can also occur.

GET /api/status-page/domain

Get Domain

ParameterLocationRequiredType / values
pagequeryNouuid | null · See operation behavior and validation.

Responses: 200 Successful Response, 422 Validation Error. Access and rate-limit errors can also occur.

PUT /api/status-page/domain

Put Domain

ParameterLocationRequiredType / values
pagequeryNouuid | null · See operation behavior and validation.

Request body: application/json · DomainIn

Responses: 200 Successful Response, 422 Validation Error. Access and rate-limit errors can also occur.

DELETE /api/status-page/domain

Delete Domain

ParameterLocationRequiredType / values
pagequeryNouuid | null · See operation behavior and validation.

Responses: 204 Successful Response, 422 Validation Error. Access and rate-limit errors can also occur.

POST /api/status-page/domain/verify

Verify Domain

ParameterLocationRequiredType / values
pagequeryNouuid | null · See operation behavior and validation.

Responses: 200 Successful Response, 422 Validation Error. Access and rate-limit errors can also occur.

GET /api/status-page/incidents

List Incidents

ParameterLocationRequiredType / values
limitqueryNointeger · Default: 20
offsetqueryNointeger · Default: 0
pagequeryNouuid | null · See operation behavior and validation.

Responses: 200 Successful Response, 422 Validation Error. Access and rate-limit errors can also occur.

POST /api/status-page/incidents

Create Incident

ParameterLocationRequiredType / values
pagequeryNouuid | null · See operation behavior and validation.

Request body: application/json · IncidentIn

Responses: 201 Successful Response, 422 Validation Error. Access and rate-limit errors can also occur.

POST /api/status-page/incidents/{inc_id}/updates

Add Update

ParameterLocationRequiredType / values
inc_idpathYesuuid · See operation behavior and validation.
pagequeryNouuid | null · See operation behavior and validation.

Request body: application/json · UpdateIn

Responses: 201 Successful Response, 422 Validation Error. Access and rate-limit errors can also occur.

PATCH /api/status-page/incidents/{inc_id}

Update Incident

ParameterLocationRequiredType / values
inc_idpathYesuuid · See operation behavior and validation.
pagequeryNouuid | null · See operation behavior and validation.

Request body: application/json · IncidentPatch

Responses: 200 Successful Response, 422 Validation Error. Access and rate-limit errors can also occur.

DELETE /api/status-page/incidents/{inc_id}

Delete Incident

ParameterLocationRequiredType / values
inc_idpathYesuuid · See operation behavior and validation.
pagequeryNouuid | null · See operation behavior and validation.

Responses: 204 Successful Response, 422 Validation Error. Access and rate-limit errors can also occur.